Bug 1596743 - libgit2: arbitrary file write when recursively cloning a malicious repository (git CVE-2018-11235 variant)
Summary: libgit2: arbitrary file write when recursively cloning a malicious repository...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180530,repo...
Depends On: 1596744
Blocks: 1596762
TreeView+ depends on / blocked
 
Reported: 2018-06-29 15:04 UTC by Riccardo Schirone
Modified: 2019-06-08 22:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-03 12:09:20 UTC


Attachments (Terms of Use)

Description Riccardo Schirone 2018-06-29 15:04:50 UTC
A flaw was found in libgit2 which allows arbitrary file write when recursively cloning a malicious repository. libgit2 can be tricked into writing files outside the .git/modules directory. This is a variant of git CVE-2018-11235.

Comment 1 Riccardo Schirone 2018-06-29 15:05:25 UTC
Created libgit2 tracking bugs for this issue:

Affects: fedora-all [bug 1596744]

Comment 2 Riccardo Schirone 2018-07-03 12:09:20 UTC
After deeper analysis with upstream help, we determined libgit2 is not vulnerable to any variant of CVE-2018-11235.
Thus I'm closing this as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.